package com.example.wabi.model.appModels.screens

import androidx.annotation.DrawableRes
import com.example.wabi.R

//шаблон для состояния onboard и данные на основе него
sealed class OnBoardItem(
    @DrawableRes
    val image: Int,
    val title: String,
    val mainText: String,
) {
  object First: OnBoardItem(
      image = R.drawable.todo_vector,
      title = "Чек-лист",
      mainText = "Удобный список того, что нужно купить",
  )
  object Second: OnBoardItem(
      image = R.drawable.vector_star_group,
      title = "Оценки",
      mainText = "Оценки от других пользователей",
  )
  object Third: OnBoardItem(
      image = R.drawable.link_to_people_vector,
      title = "Коннект",
      mainText = "Возможность поделиться своей корзиной товаров с другими",
  )
}